Stats

  • Category: misc
  • License: license:other
  • Updated: 2012-6-25
  • Downloads: 25049

Other Projects

Julian Dohle's projects:

5

Recommendations

Summary:

This project provides QPKG Packages for easy installing Zarafa on QNAP NAS

Full description:

This QPKG allows to install Zarafa easily over the QNAP Webadministration Interface.The package includes the current Zarafa Community Edition, postfix and fetchmail.

Currently the QPKG is in BETA status.

If you like this project, then please donate to support it.

Thanks to Zarafa for the support!

Warning!

The author recommends using a different release of this plugin!

Release notes:

0.6.1 [ARM] - contains Zarafa ZCP 7.0.7 / licensed / postfix 2.9.1 / fetchmail 6.3.21

  • Upgraded to Zarafa ZCP 7.0.7
  • Removed Optware dependencies - missing lib errors should be solved
  • Upgraded to postfix 2.9.1
  • Z-Push removed, will be available under a seperate QPKG
  • Added support for QNAP Firmware 3.7.0 (requires this at least)
  • [x86 only] Openldap Support for Zarafa and Postfix added
  • [ARM] licensed added

Z-Push 1.5.10 QPKG can be downloaded here

Upgrade instructions:

  • Make a backup of all important data, also of the zarafa database in case something goes wrong
  • Make a backup of your configuration files (/etc/zarafa and /etc/postfix /etc/fetchmail)
  • Upgrade to QNAP Firmware 3.7.x
  • Upgrade Zarafa to 0.6.0 (install Zarafa QPKG)
  • Install and enable Z-Push QPKG
  • Re-enable postfix / fetchmail in /etc/init.d/Zarafa.sh
  • Check if some of your configuration files may be replaced by default ones. Original files have the ending .qdksave

Known issues:

  • You have to adjust the root password of the mysql database if you changed it. (/etc/zarafa/server.cfg)
  • [ARM-x19] licensed may not accept comercial licenses - could only be used for the three outlook users
  • [ARM-x19] zarafa-ical ignores command line options, "only" starts up
  • postfix warning messages at startup
  • When running any zarafa component, warning message regarding libcrypto.so.0.9.8 version can be ignored
  • After Upgrade a reboot may be required
  • Startup scripts needs some cleanup